



// ======================================================================
// skybox
// ======================================================================

textures/Goetterdaemmerung/darkness_sky
{
	qer_editorimage textures/Goetterdaemmerung/editor.jpg
	
	skyParms textures/Goetterdaemmerung/darkness_sky 2048 -

	q3map_sunExt 0.68 0.68 0.90 200 250 50	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog
	
	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps


	{
		map textures/Goetterdaemmerung/clouds.tga
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}




// ======================================================================
// mirror
// ======================================================================

textures/common/mirrortut
{
	qer_editorimage textures/common/mirrortut.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/common/mirrortut.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
       
        

}




// ======================================================================
// mirror camera
// ======================================================================

textures/Goetterdaemmerung/mirror_portal
{
	qer_editorimage textures/Goetterdaemmerung/mirror_portal.jpg
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/Goetterdaemmerung/mirror_portal.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 1024
	}
}




//********************
// vegetation texture 
// ******************




models\mapobjects\dmodels\vegetation\dbush2
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 5 sin 0 2 0 0.1
	implicitMask -
}

models\mapobjects\dmodels\vegetation\dbush3
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 5 sin 0 2 0 0.1
	implicitMask -
}



models\mapobjects\dmodels\vegetation\dbush5
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 5 sin 0 2 0 0.1
	implicitMask -
}


models\mapobjects\dmodels\vegetation\dbush7
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 5 sin 0 2 0 0.1
	implicitMask -
}


models\mapobjects\dmodels\vegetation\dgrass2
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 5 sin 0 2 0 0.1
	implicitMask -
}

models\mapobjects\dmodels\vegetation\dgrass3
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 5 sin 0 2 0 0.1
	implicitMask -
}

models\mapobjects\dmodels\vegetation\dgrass4
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 5 sin 0 2 0 0.1
	implicitMask -
}





//********************
// ellas texture 
// ******************

models\mapobjects\dmodels\ellas\dcorinth
{

implicitMask -
	
}


models\mapobjects\dmodels\ellas\dvase
{

	
implicitMask -

}





// EFtrees shader
// Kic

models/mapobjects/EFtrees/decid_s_01
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/decid_s_01.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	deformVertexes wave 10 sin 0 2 0 0.2

nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/leafs_01
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/leafs_01.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
deformVertexes wave 10 sin 0 2 0 0.2

	nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/leafs_02
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/leafs_02.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
deformVertexes wave 10 sin 0 2 0 0.2

	nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/leaves
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/leaves.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/maple_s_01
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/maple_s_01.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
deformVertexes wave 10 sin 0 2 0 0.2

	nopicmip
	implicitMask -
}


// nmtrees shader
// Kic



models/mapobjects/nmtrees/bark01
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}


models/mapobjects/nmtrees/fir1
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/nmtrees/fir2
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

//*******************************************************************
//****** glass TEXTURES ***************************************
//*******************************************************************


textures/Goetterdaemmerung/towerglass_d
{
	qer_editorimage textures/Goetterdaemmerung/towerglass_d.tga
	q3map_tesssize 48
	qer_trans	0.5
	surfaceparm trans
	q3map_nolightmap
    {
        map textures/Goetterdaemmerung/towerglass_d.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
        map textures/Goetterdaemmerung/towerglass_d.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}




//*******************************************************************
//****** levelshots***************************************
//*******************************************************************


levelshots/Goetterdaemmerung_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/Goetterdaemmerung_cc.jpg
		depthFunc equal
		rgbGen identity
	}
}

levelshots/Goetterdaemmerung_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/Goetterdaemmerung_cc.jpg
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}








//*******************************************************************
//****** water***************************************
//*******************************************************************

textures/liquids/water_dam		
{
	qer_editorimage textures/liquids/ocean_m1b.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
     waterfogvars ( 0.1 0.115 0.1 ) 512

	{ 
		map textures/liquids/ocean_m1b.tga
		rgbgen identity
		tcmod scale .8 .7
		tcmod scroll .00 -.03
	}
	
	{
	   	map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
	
}


textures/liquids/water_dam
{
	qer_editorimage textures/liquids/ocean_m1.tga
	qer_trans .5
	q3map_globaltexture
	cull disable
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	waterfogvars ( 0.1 0.35 0.1 ) 512
	{
		map textures/liquids/ocean_m1.tga
		rgbgen identity
		tcmod scale .8 .7
		tcmod scroll .00 -.01
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}





///////////////////////////////
//    MERCEDES BENZ L3000    //
///////////////////////////////

models/mapobjects/converted/mercedes_benz_l3000_glass
{
	cull disable
    {
     map models/mapobjects/converted/mercedes_benz_l3000_glass.tga
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     rgbGen vertex
    }
}




//*************************************cmarker*****************************************************

models/mapobjects/cmarker/box_m05
{
	         qer_editorimage models/mapobjects/cmarker/box_m05
             diffusemap models/mapobjects/cmarker/box_m05
			 specularmap models/mapobjects/cmarker/box_m05_spec
			 bumpmap models/mapobjects/cmarker/box_m05_nrm
}

models/mapobjects/cmarker/allied_crate
{
	         qer_editorimage models/mapobjects/cmarker/allied_crate
             diffusemap models/mapobjects/cmarker/allied_crate
			 specularmap  models/mapobjects/cmarker/allied_crate_spec
			 bumpmap  models/mapobjects/cmarker/allied_crate_nrm
}

models/mapobjects/cmarker/axis_crate
{
	         qer_editorimage models/mapobjects/cmarker/axis_crate
	         diffusemap models/mapobjects/cmarker/axis_crate
			 specularmap models/mapobjects/cmarker/axis_crate_spec
			 bumpmap models/mapobjects/cmarker/axis_crate
}

models/mapobjects/cmarker/neutral_crate
{
	         qer_editorimage models/mapobjects/cmarker/neutral_crate
	         diffuseMap models/mapobjects/cmarker/neutral_crate
			 specularmap models/mapobjects/cmarker/neutral_crate_spec
			 bumpmap models/mapobjects/cmarker/neutral_crate_nrm
}

models/mapobjects/cmarker/allied_sack
{
	         qer_editorimage models/mapobjects/cmarker/allied_sack
	         diffusemap models/mapobjects/cmarker/allied_sack
			 specularmap models/mapobjects/cmarker/allied_sack_spec
			 bumpmap models/mapobjects/cmarker/allied_sack_nrm
}

models/mapobjects/cmarker/axis_sack
{
	         qer_editorimage models/mapobjects/cmarker/axis_sack
	         diffusemap models/mapobjects/cmarker/axis_sack
			 specularmap models/mapobjects/cmarker/axis_sack_spec
			 bumpmap models/mapobjects/cmarker/axis_sack_nrm
}

models/mapobjects/cmarker/tools
{
	         qer_editorimage models/mapobjects/cmarker/tools
	         diffusemap models/mapobjects/cmarker/tools
			 specularmap models/mapobjects/cmarker/tools_spec
			 bumpmap models/mapobjects/cmarker/tools_nrm
}

models/mapobjects/cmarker/cflag_allied
{
	qer_editorimage models/mapobjects/cmarker/cflagallied.tga
	cull disable
	deformVertexes wave 194 sin 0 3 0 .4
	implicitMask models/mapobjects/cmarker/cflagallied.tga
}

models/mapobjects/cmarker/cflag_axis
{
	qer_editorimage models/mapobjects/cmarker/cflagaxis.tga
	cull disable
	deformVertexes wave 194 sin 0 3 0 .4
	implicitMask models/mapobjects/cmarker/cflagaxis.tga
}

models/mapobjects/cmarker/cflag_neutral
{
	qer_editorimage models/mapobjects/cmarker/cflagneutral.tga
	cull disable
	deformVertexes wave 194 sin 0 3 0 .4
	implicitMask models/mapobjects/cmarker/cflagneutral.tga
}





//*******************************************************************
//****** flowwer***************************************
//*******************************************************************

models/mapobjects/tree3
{
    cull disable
    surfaceparm alphashadow
//	surfaceparm trans
        {
                map models/mapobjects/tree3.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}




// ======================================================================
// MUSHROOM
// ======================================================================
textures/plants_soc/mush_top01
{
	qer_editorimage textures/plants_soc/mush_top01.tga
	q3map_cloneShader textures/plants_soc/mush_back01
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

   {
		map textures/plants_soc/mush_top01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/plants_soc/mush_top01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}


textures/plants_soc/mush_back01
{
	qer_editorimage textures/plants_soc/mush_back01.tga

	q3map_invert
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

   {
		map textures/plants_soc/mush_back01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/plants_soc/mush_back01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}


textures/plants_soc/mush_stem01
{
	qer_editorimage textures/plants_soc/mush_stem01.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/plants_soc/mush_stem01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		tcmod Scale 2 2
	}
}






// ======================================================================
// dust
// ======================================================================

textures/Goetterdaemmerung/dust
	{
      qer_editorimage textures/Goetterdaemmerung/dust.tga
	surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
      qer_trans 0.6
	cull none
	surfaceparm nomipmaps
      nopicmip
	{
		map textures/Goetterdaemmerung/dust.tga
		tcMod scroll 0 0.01
            blendFunc add
      }


}






//********************
// light signs texture 
// ******************
textures/Goetterdaemmerung/backlit_sign1
{
	qer_editorimage textures/Goetterdaemmerung/backlit_sign1.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/backlit_sign1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/backlit_sign1.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/Goetterdaemmerung/backlit_sign2
{
	qer_editorimage textures/Goetterdaemmerung/backlit_sign2.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/backlit_sign2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/backlit_sign2.tga
		blendFunc GL_ONE GL_ONE
	}
}

/// *******************************
// ******* radar ************
// ******************************* 

textures/Goetterdaemmerung/radar_01
{
	qer_editorimage textures/Goetterdaemmerung/radar_01.tga


	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/radar_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/radar_beep.jpg
		tcMod rotate -.1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/Goetterdaemmerung/radar_sweep.jpg
		tcMod rotate 90
		blendFunc GL_ONE GL_ONE
	}
}



/// *******************************
// ******* fence ************
// ******************************* 

textures/Goetterdaemmerung/Fence
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}



/// *******************************
// ******* light texture************
// ******************************* 
textures/Goetterdaemmerung/light_green_onoff_400
{
	qer_editorimage textures/Goetterdaemmerung/light_green.tga
	q3map_surfacelight 400
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/light_green.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/light_green.tga
		blendFunc GL_ONE GL_ONE
          rgbGen wave sin 0 1 0.9 0.7 
	}
}



textures/Goetterdaemmerung/beam_blue_dust
	{
      qer_editorimage textures/Goetterdaemmerung/beam_blue_dust.tga
	q3map_globaltexture
	surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
      qer_trans 0.6
	cull none
	surfaceparm nomipmaps
      //nopicmip
	{
		map textures/Goetterdaemmerung/beam_blue_dust.tga
		//tcMod scale 0.35 0.35
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
            blendFunc add
      }

}

textures/Goetterdaemmerung/beam_red_dust
	{
      qer_editorimage textures/Goetterdaemmerung/beam_red_dust.tga
	q3map_globaltexture
	surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
      qer_trans 0.6
	cull none
	surfaceparm nomipmaps
      //nopicmip
	{
		map textures/Goetterdaemmerung/beam_red_dust.tga
		//tcMod scale 0.35 0.35
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
            blendFunc add
      }

}

textures/Goetterdaemmerung/beam_white_dust
	{
      qer_editorimage textures/Goetterdaemmerung/beam_white_dust.tga
	q3map_globaltexture
	surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
      qer_trans 0.6
	cull none
	surfaceparm nomipmaps
      //nopicmip
	{
		map textures/Goetterdaemmerung/beam_white_dust.tga
		//tcMod scale 0.35 0.35
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
            blendFunc add
      }

}


textures/Goetterdaemmerung/beam_green_dust
	{
      qer_editorimage textures/Goetterdaemmerung/beam_green_dust.tga
	q3map_globaltexture
	surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
      qer_trans 0.6
	cull none
	surfaceparm nomipmaps
      //nopicmip
	{
		map textures/Goetterdaemmerung/beam_green_dust.tga
		//tcMod scale 0.35 0.35
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
            blendFunc add
      }

}

textures/Goetterdaemmerung/geolight4_green_2k
{	
	qer_editorimage textures/Goetterdaemmerung/geolight4_green.tga
	q3map_lightimage textures/Goetterdaemmerung/geolight2_glow_green.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/geolight4_green.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
    {
		map textures/Goetterdaemmerung/geolight2_glow_green.tga
		blendfunc add
		rgbgen wave sin .575 .025 0 10
	}
}



textures/Goetterdaemmerung/geolight4_blue_2k
{	
	qer_editorimage textures/Goetterdaemmerung/geolight4_blue.tga
	q3map_lightimage textures/Goetterdaemmerung/geolight2_glow_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/geolight4_blue.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
    {
		map textures/Goetterdaemmerung/geolight2_glow_blue.tga
		blendfunc add
		rgbgen wave sin .575 .025 0 10
	}
}



textures/Goetterdaemmerung/geolight4_red_2k
{	
	qer_editorimage textures/Goetterdaemmerung/geolight4_red.tga
	q3map_lightimage textures/Goetterdaemmerung/geolight2_glow_red.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Goetterdaemmerung/geolight4_red.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
    {
		map textures/Goetterdaemmerung/geolight2_glow_red.tga
		blendfunc add
		rgbgen wave sin .575 .025 0 10
	}
}



//*******************************************************************
//****** fan textures  ***************************************
//*******************************************************************



textures/Goetterdaemmerung/fanfx
// fan shadow
{
	qer_editorimage textures/Goetterdaemmerung/fanfx.tga
        surfaceparm nolightmap
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip

	{
		clampmap textures/Goetterdaemmerung/fanfx.tga
		tcMod rotate 500
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
                depthWrite
		//rgbGen identity
	}
}



textures/Goetterdaemmerung/fan4
{
	qer_editorimage textures/Goetterdaemmerung/fan_grate.tga

	{
		map textures/Goetterdaemmerung/fan2.tga
		tcmod rotate 500
	}
	{
		map textures/Goetterdaemmerung/fan_grate.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}



//*******************************************************************
//****** earth  ***************************************
//*******************************************************************

textures/Goetterdaemmerung/earth2048
{
	qer_editorimage textures/Goetterdaemmerung/earth2048.tga
	nopicmip
	cull none
	surfaceparm nomarks	
	surfaceparm nodamage
	surfaceparm nosteps

	{
		map textures/Goetterdaemmerung/earth2048.tga
		
		tcmod scroll .001 0
		
	}
	{
		map $lightmap
		
		blendFunc filter
	}
}




textures/Goetterdaemmerung/earth2048_cloud
{
	qer_editorimage textures/Goetterdaemmerung/earth2048_cloud.tga
	nopicmip
	surfaceparm nomarks
	surfaceparm noclip	
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nosteps
	surfaceparm nolightmap
	surfaceparm nodlight

	{
		map textures/Goetterdaemmerung/earth2048_cloud.tga
		blendfunc gl_src_alpha GL_ONE_MINUS_SRC_ALPHA
		
		tcmod scroll .0021 0
		
	}
	{
		map textures/Goetterdaemmerung/earth2048_cloud.tga
		blendfunc gl_zero GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 1.001 1
		tcmod scroll .0021 0
				
	}
}




//*******************************************************************
//****** teleporter swirl  ***************************************
//*******************************************************************



textures/Goetterdaemmerung/portalfront
{
	qer_editorimage textures/Goetterdaemmerung/teleporter_grid.tga
	portal
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	{
		map textures/Goetterdaemmerung/xtele_bckgrd.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		depthWrite
		alphagen portal 512
	}
	{
		clampMap textures/Goetterdaemmerung/xtele_swirl1_noalpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.8 0.01 0 0.1
		tcMod stretch sin 1.1 0.1 0 0.1
		tcMod rotate 45
		alphagen portal 512
	}
	{
		clampMap textures/Goetterdaemmerung/xtele_dirtedge.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod stretch sin 1.2 0 0 0
		tcMod transform 0.975 0 0 0.975 0.0125 -0.0125
	}
	{
		clampMap textures/Goetterdaemmerung/xtele_swirl4.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		rgbGen wave sin 0.75 0.1 0.5 0.1
		tcMod stretch sin 1.6 0.1 0 0.15
		tcMod rotate 25
		alphagen portal 512
	}
	{
		clampMap textures/Goetterdaemmerung/xtele_cloudedge.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod stretch sin 1.1 0.05 0 0.05
		tcMod transform 0.975 0 0 0.975 0.0125 -0.0125
		tcMod rotate 10
	}
}



textures/Goetterdaemmerung/portal_light
{
	qer_editorimage textures/Goetterdaemmerung/xtele_iris.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	qer_trans 0.9
	cull none
	
	{
		map textures/Goetterdaemmerung/xtele_star1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		rgbgen wave sin 0.5 0.2 0 0.1
		tcMod Scale 0.5 1
		tcMod Scroll -0.3 -0.15
	}
	{
		map textures/Goetterdaemmerung/xtele_iris.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		rgbGen const ( 0.15 0.15 0.3 )
		tcMod Scale 1 3
		tcMod Scroll -0.25 0.05
		detail
	}
}




//*******************************************************************
//****** gold TEXTURES ***************************************
//*******************************************************************

textures/Goetterdaemmerung/gold
	{
	surfaceparm metalsteps
	{
		map textures/Goetterdaemmerung/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/Goetterdaemmerung/gold.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}




//*******************************************************************
//****** net camo TEXTURES ***************************************
//*******************************************************************



textures/Goetterdaemmerung/camonet_green
{
   	qer_editorimage textures/Goetterdaemmerung/camonet_green.tga
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nomarks
	surfaceparm nonsolid
//	surfaceparm clipmissile
	cull none
	deformVertexes wave 100 sin 0 1 0 .4
	deformVertexes wave 30 sin 0 1 0 .1
	tessSize 64
	{
		map textures/Goetterdaemmerung/camonet_green.tga
		alphafunc GE128
		rgbGen identity
		depthWrite depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}






//*******************************************************************
//****** blastdoor TEXTURES ***************************************
//*******************************************************************

textures/Goetterdaemmerung/blastdoor_lights
{
	qer_editorimage textures/Goetterdaemmerung/blastdoor_lights.jpg
	
	{
		map textures/Goetterdaemmerung/blastdoor_back.jpg
		rgbGen Vertex
	}	
	{
		map textures/Goetterdaemmerung/blastdoor_lights.jpg
		blendfunc gl_one gl_one
		//alphagen wave sin 0.5 1 0 0.8
		rgbGen wave sin 0.5 1 0 0.8
	}
}





//*******************************************************************
//****** terrain TEXTURES ***************************************
//*******************************************************************

textures/Goetterdaemmerung/rock_02_phong
{
q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
   q3map_nonplanar
    q3map_shadeangle 60
    qer_editorimage textures/Goetterdaemmerung/rock_02_phong.tga
    {
       map $lightmap
       rgbGen identity
    }
    {
       map textures/Goetterdaemmerung/rock_02_phong.tga
       blendFunc filter
   }
 }


textures/Goetterdaemmerung/felsgras
{
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_shadeangle 280

	{
		//0 vardets textur

		map textures/Goetterdaemmerung/Concreteoriginal.tga
		rgbGen identity
	}
	{
		//100 vardets textur

		map textures/Goetterdaemmerung/rock_02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/Goetterdaemmerung/drekgras
{
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_shadeangle 280
     surfaceparm landmine
	surfaceparm grasssteps

	{
		//0 vardets textur

		map textures/Goetterdaemmerung/knc3_dirt1.tga
		rgbGen identity
	}
	{
		//100 vardets textur

		map textures/Goetterdaemmerung/Concreteoriginal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/Goetterdaemmerung/Concreteoriginal
{
	q3map_nonplanar
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_shadeangle 280
surfaceparm landmine
	surfaceparm grasssteps

	{
		//0 vardets textur

		map textures/Goetterdaemmerung/Concreteoriginal.tga
		rgbGen identity
	}
	{
		//100 vardets textur

		map textures/Goetterdaemmerung/Concreteoriginal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/Goetterdaemmerung/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/Goetterdaemmerung/alpha_025	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}





textures/Goetterdaemmerung/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}






//*******************************************************************
//****** metal_trim TEXTURES ***************************************
//*******************************************************************

textures/Goetterdaemmerung/metal_trim_support_copper
{
	surfaceparm alphashadow
     surfaceparm metalsteps
	surfaceparm playerclip
surfaceparm nomarks

	cull disable
	nomipmaps
	{

		
      map textures/Goetterdaemmerung/metal_trim_support_copper.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


textures/Goetterdaemmerung/plat
{
	surfaceparm alphashadow
     surfaceparm metalsteps
     surfaceparm nomarks
	surfaceparm playerclip

	
	cull disable
	nomipmaps
	{
		map textures/Goetterdaemmerung/plat.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}



//*******************************************************************
//****** water  TEXTURES ***************************************
//*******************************************************************

///CAUSTICS FOR THE WATER
textures/Goetterdaemmerung/seamle1
{
	qer_editorimage textures/Goetterdaemmerung/seamle1.jpg
	{
		map textures/Goetterdaemmerung/water1.jpg
		tcmod scale -.25 -.25
		tcmod scroll .1 .04
		rgbgen wave sin .75 0 .5 2
	}
	{
		map textures/Goetterdaemmerung/water1.jpg
		blendFunc GL_one GL_ONE
		tcmod scale .25 .25
		tcmod scroll .1 .1
		rgbgen wave sin .75 0 0 2
	}
	{
		map textures/Goetterdaemmerung/seamle1.jpg
		blendFunc GL_one GL_src_color
		rgbgen identity
	}
	{
		rgbGen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	} 
}

///CAUSTICS FOR THE WATER
textures/Goetterdaemmerung/wood0f4
{
	qer_editorimage textures/Goetterdaemmerung/wood0f4.jpg
	{
		map textures/Goetterdaemmerung/water1.jpg
		tcmod scale -.25 -.25
		tcmod scroll .1 .04
		rgbgen wave sin .75 0 .5 2
	}
	{
		map textures/Goetterdaemmerung/water1.jpg
		blendFunc GL_one GL_ONE
		tcmod scale .25 .25
		tcmod scroll .1 .1
		rgbgen wave sin .75 0 0 2
	}
	{
		map textures/Goetterdaemmerung/wood0f4.jpg
		blendFunc GL_one GL_src_color
		rgbgen identity
	}
	{
		rgbGen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	} 
}




textures/Goetterdaemmerung/water04
{
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/Goetterdaemmerung/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -2
		alphaGen Vertex
	}
}

textures/Goetterdaemmerung/water_05
	{
		qer_editorimage textures/Goetterdaemmerung/water_05.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_lightsubdivide 256
		//fogparms 0.176 0.247 0.18 1024

		cull disable
			
		
		{ 
			map textures/Goetterdaemmerung/water_05.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod transform 1.1 0 1.1 1 1 2
			tcmod scroll -.05 .001
		}
		
		{ 
			map textures/Goetterdaemmerung/water_05.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod transform 1.1 0 1.1 1 1 2
			tcmod scroll -.05 .001
		}
		
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}


//*******************************************************************
//****** banner TEXTURES ***************************************
//*******************************************************************

textures/Goetterdaemmerung/banner
{
qer_editorimage textures/Goetterdaemmerung/banner.tga
surfaceparm nonsolid
surfaceparm alphashadow
cull none

deformVertexes wave 100 sin 0 1 0 .1
deformVertexes wave 30 sin 0 1 0 .1
tessSize 64

implicitMask textures/Goetterdaemmerung/banner.tga
}

textures/Goetterdaemmerung/banner1
{
qer_editorimage textures/Goetterdaemmerung/banner1.tga
surfaceparm nonsolid
surfaceparm alphashadow
cull none

deformVertexes wave 100 sin 0 1 0 .1
deformVertexes wave 30 sin 0 1 0 .1
tessSize 64

implicitMask textures/Goetterdaemmerung/banner1.tga
}

textures/Goetterdaemmerung/banner2
{
qer_editorimage textures/Goetterdaemmerung/banner2.tga
surfaceparm nonsolid
surfaceparm alphashadow
cull none

deformVertexes wave 100 sin 0 1 0 .1
deformVertexes wave 30 sin 0 1 0 .1
tessSize 64

implicitMask textures/Goetterdaemmerung/banner2.tga
}

textures/Goetterdaemmerung/banner_small
{
qer_editorimage textures/Goetterdaemmerung/banner_small.tga
surfaceparm nonsolid
surfaceparm alphashadow
cull none

deformVertexes wave 100 sin 0 1 0 .1
deformVertexes wave 30 sin 0 1 0 .1
tessSize 64

implicitMask textures/Goetterdaemmerung/banner_small.tga
}



//*******************************************************************
//****** Big Banner TEXTURES ***************************************
//*******************************************************************
textures/Goetterdaemmerung/tvscreen1
{
	qer_editorimage textures/Goetterdaemmerung/tvscreen1.tga
	q3map_lightimage textures/Goetterdaemmerung/tvscreen1.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/Goetterdaemmerung/tvscreen1.tga textures/Goetterdaemmerung/tvscreen2.tga 

		rgbGen wave sawtooth 0 1 0 .15
	
	}

	{
		map textures/Goetterdaemmerung/noise_green.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}

	{
map textures/Goetterdaemmerung/elec_line.tga
		blendfunc add
	        	rgbGen identity
		tcmod scroll 3 3
}

	{


		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

//*******************************************************************

//*******************************************************************
//****** barbed_wire TEXTURES ***************************************
//*******************************************************************

textures/Goetterdaemmerung/barbed_wire
{
	surfaceparm alphashadow
	surfaceparm trans
surfaceparm playerclip
     surfaceparm nomarks
	cull disable
	nomipmaps
	{
		map textures/Goetterdaemmerung/barbed_wire.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

                